<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>WeatherController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">com.m2.tiila.weather.controller</a> &gt; <span class="el_source">WeatherController.java</span></div><h1>WeatherController.java</h1><pre class="source lang-java linenums">package com.m2.tiila.weather.controller;

import com.m2.tiila.weather.business.WeatherBusiness;
import jakarta.inject.Inject;
import jakarta.ws.rs.*;
import jakarta.ws.rs.core.MediaType;
import jakarta.ws.rs.core.Response;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestHeader;

import static com.m2.tiila.weather.mapper.WeatherMapper.toDto;

@Controller
@Path(&quot;/prevision&quot;)
<span class="fc" id="L15">public class WeatherController {</span>
  @Inject
  private WeatherBusiness weatherBusiness;

  @Path(&quot;/{city}&quot;)
  @GET
  @Produces(MediaType.APPLICATION_JSON)
  @Consumes(MediaType.APPLICATION_JSON)
  public Response previsions(@PathParam(&quot;city&quot;) String city, @HeaderParam(&quot;user&quot;) String user) {
<span class="fc" id="L24">    return Response.ok(toDto(weatherBusiness.getCityWeather(city, user))).build();</span>
  }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>